[DRE-commits] r4982 - trunk/libfacets-ruby/debian
Marc Dequènes
duck at alioth.debian.org
Sat Mar 20 20:51:00 UTC 2010
Author: duck
Date: 2010-03-20 20:51:00 +0000 (Sat, 20 Mar 2010)
New Revision: 4982
Added:
trunk/libfacets-ruby/debian/copyright_check.sh
Modified:
trunk/libfacets-ruby/debian/changelog
trunk/libfacets-ruby/debian/copyright
Log:
[evol] added silly script to help track copyright entries and prepare for upload.
Modified: trunk/libfacets-ruby/debian/changelog
===================================================================
--- trunk/libfacets-ruby/debian/changelog 2010-03-20 20:49:11 UTC (rev 4981)
+++ trunk/libfacets-ruby/debian/changelog 2010-03-20 20:51:00 UTC (rev 4982)
@@ -1,10 +1,12 @@
-libfacets-ruby (2.7.0-1) UNRELEASED; urgency=low
+libfacets-ruby (2.7.0-1) unstable; urgency=low
[ Paul van Tilburg ]
* Added debian/watch.
[ Marc Dequènes (Duck) ]
- * New upstream release.
+ * New upstream release:
+ + removed the 'lore' layout part and doc-base.
+ + updated copyright file
* Adapted rdoc generation to fit well with recent ruby-pkg-tools.
* Added support for Ruby 1.9.1.
* Improved 'debian/copyright' to be more consistant with DEP-5 draft.
Modified: trunk/libfacets-ruby/debian/copyright
===================================================================
--- trunk/libfacets-ruby/debian/copyright 2010-03-20 20:49:11 UTC (rev 4981)
+++ trunk/libfacets-ruby/debian/copyright 2010-03-20 20:51:00 UTC (rev 4982)
@@ -20,6 +20,9 @@
License: Ruby or GPL-2
+# Please keep this level of details in the entries below, listing individual files instead of wildcards, to be able to track files better
+
+
Files: lib/core/facets.rb, lib/core/facets-load.rb, lib/core/facets-live.rb
Copyright: © 2008-2009 Thomas Sawyer (aka Trans)
License: Ruby
Added: trunk/libfacets-ruby/debian/copyright_check.sh
===================================================================
--- trunk/libfacets-ruby/debian/copyright_check.sh (rev 0)
+++ trunk/libfacets-ruby/debian/copyright_check.sh 2010-03-20 20:51:00 UTC (rev 4982)
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+set -e
+set -o pipefail
+
+# This script is able to track obsolete and missing copyright entries
+# It works only with DEP-5 formated copyright files.
+# It is unable to track copyright holders info, so modified files have to be checked by hand.
+
+
+# path to NUR sources
+SRC=${1:-.}
+
+LIST=$(grep '^Files: ' debian/copyright | cut -d: -f2- | sed 's/,/\n/g; s/ //g' | grep -Ev '^\*$')
+
+echo "### Projects removed:"
+UNSORTED_LISTED=$(tempfile)
+for P in ${LIST}; do
+ if echo ${P} | grep -qE "^debian"; then
+ continue
+ fi
+
+ if ls ${SRC}/${P} >/dev/null 2>/dev/null; then
+ # catch wilcard patterns and whole directories too
+ find ${SRC} \( -wholename "${SRC}/${P}" -o -wholename "${SRC}/${P}/*" \) -printf '%P\n' >>${UNSORTED_LISTED} 2>/dev/null
+ else
+ echo ${P}
+ fi
+done
+
+SORTED_LISTED=$(tempfile)
+cat ${UNSORTED_LISTED} | sort | uniq >${SORTED_LISTED}
+
+SORTED_FULL_NEW=$(tempfile)
+#find ${SRC} -type f -wholename '${SRC}/lib/*' -printf '%P\n' | sort >${SORTED_FULL_NEW}
+find ${SRC} -mindepth 2 -type f -printf '%P\n' | sort >${SORTED_FULL_NEW}
+
+echo "### Projects new or with default copyright attribution ('Files: *' in 'debian/copyright'):"
+comm -1 -3 ${SORTED_LISTED} ${SORTED_FULL_NEW} | grep -v svn
+
+# cleanup
+rm -f ${UNSORTED_LISTED} ${SORTED_LISTED} ${SORTED_FULL_NEW}
+
Property changes on: trunk/libfacets-ruby/debian/copyright_check.sh
___________________________________________________________________
Added: svn:executable
+ *
More information about the Pkg-ruby-extras-commits
mailing list